From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-base/libxfce4ui/
Date: Tue, 6 Feb 2024 03:07:50 +0000 (UTC) [thread overview]
Message-ID: <1707188861.2f23f63f49051ffed77d3f027263499be03408ca.mgorny@gentoo> (raw)
commit: 2f23f63f49051ffed77d3f027263499be03408ca
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 6 03:03:10 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 6 03:07:41 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f23f63f
xfce-base/libxfce4ui: Bump to 4.19.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
xfce-base/libxfce4ui/Manifest | 1 +
xfce-base/libxfce4ui/libxfce4ui-4.19.4.ebuild | 79 +++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/xfce-base/libxfce4ui/Manifest b/xfce-base/libxfce4ui/Manifest
index 6685706f162f..2656ed10a8aa 100644
--- a/xfce-base/libxfce4ui/Manifest
+++ b/xfce-base/libxfce4ui/Manifest
@@ -1,2 +1,3 @@
DIST libxfce4ui-4.18.4.tar.bz2 907248 BLAKE2B 785ec91bcb2995d289423ac666832b642e1cd1c2685e9bb5b6781ca6c7272d7e85e163a55b137602401ed9a18f1b8e29492e3b7bd1d74951544e71a4338860ae SHA512 e931d38319bcc0dcfa854642f604fcd782ffb27a160ae7e2625d7a276625635131b0451c12ccd502b68366283c503ad21536389e70da6912e46eb16b97f28642
DIST libxfce4ui-4.19.3.tar.bz2 1169903 BLAKE2B 175e88fa58712933c681a8851c787d7322d806005cd450e3db3d3a7744ea08a599ddba071944c031e047365c4fec70b0144f84a3ed491b9bd5efb7a359233303 SHA512 3361de52cd48318cdd5a61d26a741336f4168fa98a284faee5ac53460dc875625df73084aec65e8203cea7438f9b8bd64cfd456ab9803c330a554aa6f444529a
+DIST libxfce4ui-4.19.4.tar.bz2 1177397 BLAKE2B e73cb1d8fb8ba12e71fcf100888b2e9fe26ae08a1bb09edba6f0dc8ad7db0d872722c44812c9dc65be0c2331b9364fe668aeb9bd16dce138e8cca0dcb771400e SHA512 81ce96954bc70b5d2dfbe3311c969ad36247057a5caed13c002a994140ba8a56f5c49cb7a12aaf41a7edc0986b06c1eb22cf3f3c67d02312a47356bd99767c8e
diff --git a/xfce-base/libxfce4ui/libxfce4ui-4.19.4.ebuild b/xfce-base/libxfce4ui/libxfce4ui-4.19.4.ebuild
new file mode 100644
index 000000000000..ebdb8fd87e75
--- /dev/null
+++ b/xfce-base/libxfce4ui/libxfce4ui-4.19.4.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils vala
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="
+ https://docs.xfce.org/xfce/libxfce4ui/start
+ https://gitlab.xfce.org/xfce/libxfce4ui/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="glade +introspection startup-notification system-info vala wayland X"
+REQUIRED_USE="vala? ( introspection )"
+
+DEPEND="
+ >=dev-libs/glib-2.66.0
+ >=x11-libs/gtk+-3.24.0:3[introspection?,wayland?,X?]
+ >=xfce-base/libxfce4util-4.17.2:=[introspection?,vala?]
+ >=xfce-base/xfconf-4.12.0:=
+ glade? ( >=dev-util/glade-3.5.0:3.10 )
+ introspection? ( >=dev-libs/gobject-introspection-1.66:= )
+ system-info? (
+ >=dev-libs/libgudev-232
+ >=gnome-base/libgtop-2.24.0
+ >=media-libs/libepoxy-1.2
+ )
+ X? (
+ x11-libs/libICE
+ >=x11-libs/libSM-1.2.3
+ >=x11-libs/libX11-1.6.7
+ startup-notification? ( >=x11-libs/startup-notification-0.4 )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-lang/perl
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+src_configure() {
+ local myconf=(
+ $(use_enable glade gladeui2)
+ $(use_enable introspection)
+ $(use_enable system-info glibtop)
+ $(use_enable system-info epoxy)
+ $(use_enable system-info gudev)
+ $(use_enable startup-notification)
+ $(use_enable vala)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ --with-vendor-info=Gentoo
+ )
+
+ use vala && vala_setup
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2024-02-06 3:07 UTC|newest]
Thread overview: 143+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-06 3:07 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-23 13:54 [gentoo-commits] repo/gentoo:master commit in: xfce-base/libxfce4ui/ Michał Górny
2025-01-25 10:52 Sam James
2025-01-25 10:44 Sam James
2024-12-21 10:34 Michał Górny
2024-12-15 18:38 Michał Górny
2024-12-01 16:40 Michał Górny
2024-12-01 16:40 Michał Górny
2024-10-25 3:08 Michał Górny
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-06 0:20 Eli Schwartz
2024-03-23 10:25 Michał Górny
2024-03-16 17:06 Arthur Zamarin
2024-03-16 17:06 Arthur Zamarin
2024-03-16 16:39 Arthur Zamarin
2024-03-16 16:37 Arthur Zamarin
2024-03-16 11:48 Arthur Zamarin
2024-03-16 10:23 Arthur Zamarin
2024-03-08 13:01 Michał Górny
2024-03-02 19:14 Michał Górny
2024-03-02 15:36 Jakov Smolić
2024-03-02 14:13 Arthur Zamarin
2024-03-02 9:56 Jakov Smolić
2024-02-29 11:37 Michał Górny
2024-02-18 11:43 Jakov Smolić
2024-02-18 9:56 Sam James
2024-02-17 22:26 Sam James
2024-02-16 12:11 Michał Górny
2024-02-10 9:15 Michał Górny
2024-02-06 11:44 Michał Górny
2024-02-06 3:07 Michał Górny
2023-11-11 20:23 Michał Górny
2023-10-14 8:24 Michał Górny
2023-08-03 4:49 Michał Górny
2023-08-02 22:08 Sam James
2023-08-02 21:06 Sam James
2023-08-02 6:05 Michał Górny
2023-06-11 16:46 Sam James
2023-05-29 19:06 Michał Górny
2023-05-22 18:36 Michał Górny
2023-04-21 4:34 Michał Górny
2023-04-17 15:46 Michał Górny
2023-03-28 18:13 Michał Górny
2023-03-17 17:27 Michał Górny
2023-03-17 17:04 Arthur Zamarin
2023-03-17 14:47 Arthur Zamarin
2023-03-17 14:46 Arthur Zamarin
2023-03-17 14:24 Arthur Zamarin
2023-03-17 14:21 Arthur Zamarin
2023-03-17 14:11 Sam James
2023-03-17 10:50 Michał Górny
2023-03-17 8:56 Arthur Zamarin
2023-03-15 6:55 Michał Górny
2023-02-09 12:28 Michał Górny
2023-02-03 16:53 Sam James
2023-02-03 14:21 Arthur Zamarin
2023-02-03 14:21 Arthur Zamarin
2023-02-03 13:32 Arthur Zamarin
2023-01-05 7:23 Michał Górny
2023-01-03 6:52 Michał Górny
2022-11-30 17:25 Michał Górny
2022-10-31 16:16 Michał Górny
2022-10-08 13:43 Michał Górny
2022-09-05 17:43 Michał Górny
2022-08-28 6:49 WANG Xuerui
2022-07-25 10:45 Michał Górny
2022-03-31 23:03 Michał Górny
2022-03-24 18:16 Michał Górny
2022-03-16 8:32 Michał Górny
2022-02-21 22:15 Michał Górny
2022-02-10 10:35 Michał Górny
2021-12-27 5:05 Michał Górny
2021-12-10 18:58 Michał Górny
2021-11-04 22:09 Michał Górny
2021-11-02 10:20 Sam James
2021-10-29 18:32 Sam James
2021-10-11 0:02 Sam James
2021-10-10 20:37 Sam James
2021-10-09 19:18 Sam James
2021-10-09 7:52 Michał Górny
2021-09-11 16:32 Michał Górny
2021-09-06 11:24 Michał Górny
2021-09-06 6:36 Michał Górny
2021-06-27 6:09 Michał Górny
2021-05-21 14:54 Yixun Lan
2021-02-19 1:11 Michał Górny
2021-02-15 8:38 Sam James
2021-01-18 20:29 Michał Górny
2020-12-29 11:46 Michał Górny
2020-12-22 23:35 Michał Górny
2020-12-16 23:04 Michał Górny
2020-12-14 12:29 Michał Górny
2020-12-10 23:21 Michał Górny
2020-11-19 18:17 Michał Górny
2020-11-03 8:24 Michał Górny
2020-07-19 14:19 Michał Górny
2020-06-08 7:20 Michał Górny
2020-05-04 9:40 Michał Górny
2020-04-05 8:12 Michał Górny
2020-01-14 3:53 Michał Górny
2019-12-06 14:20 Michał Górny
2019-12-06 14:20 Michał Górny
2019-12-05 10:23 Michał Górny
2019-12-05 10:17 Michał Górny
2019-11-07 23:44 Aaron Bauman
2019-10-13 11:24 Mikle Kolyada
2019-10-12 21:23 Sergei Trofimovich
2019-10-12 21:16 Sergei Trofimovich
2019-10-12 21:00 Sergei Trofimovich
2019-08-22 12:31 Michał Górny
2019-08-12 13:21 Michał Górny
2019-08-12 13:21 Michał Górny
2019-08-11 20:46 Michał Górny
2019-07-28 15:43 Michał Górny
2019-07-28 15:43 Michał Górny
2019-07-01 7:56 Michał Górny
2019-05-29 0:32 Aaron Bauman
2019-05-17 18:14 Michał Górny
2018-03-23 19:53 Markus Meier
2018-03-03 17:48 Tobias Klausmann
2018-01-10 21:22 Sergei Trofimovich
2018-01-08 8:00 Sergei Trofimovich
2018-01-07 20:32 Sergei Trofimovich
2018-01-07 13:17 Sergei Trofimovich
2018-01-05 10:59 Mikle Kolyada
2017-12-15 19:33 Michał Górny
2017-12-15 19:33 Michał Górny
2017-07-03 20:15 Michał Górny
2017-06-26 14:42 Michał Górny
2017-06-07 20:06 Michał Górny
2017-01-26 10:22 Agostino Sarubbo
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2016-09-29 4:37 Jeroen Roovers
2016-09-15 14:08 Jason Zaman
2016-06-30 16:58 Tobias Klausmann
2016-06-26 18:36 Markus Meier
2016-06-23 15:07 Michał Górny
2016-06-11 21:31 Michał Górny
2015-10-17 18:32 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1707188861.2f23f63f49051ffed77d3f027263499be03408ca.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox